# VVdeC-rs

Rust bindings for [VVdeC](https://github.com/fraunhoferhhi/vvdec).

## Sub-projects:
- vvdec-sys: unsafe bindings generated by bindgen
- vvdec: the safe bindings on top of vvdec-sys
- vvdecli: CLI application using the safe bindings to decode VVC Annex-B files into YUV4MPEG (Y4M).

## Installing the CLI

In order to build, either VVdeC >= 3.0 needs to be installed and be found via pkg-config, or a VVdeC will be compiled while building vvdec-sys, which requires CMake.

Then, the CLI app can be installed with `cargo install vvdecli`.

If you have FFmpeg installed, you can then test vvdecli and play VVC with
```
vvdecli -i ./tests/short.vvc | ffplay -
```

## License

This crate is license under the [BSD-3-Clause-Clear](./LICENSE.txt) license, to maintain compatibility with [VVdeC's license](https://github.com/fraunhoferhhi/vvdec/blob/master/LICENSE.txt).
